Get Underlay Task
Get an undelay task by id.
Get an underlay task by id.
Request
URI
GET
https://{server}/hybridity/api/interconnect/underlay/tasks/{underlayTaskId}
COPY
Path Parameters
string
underlayTaskId
Required
task id
Authentication
This operation uses the following authentication methods.
Responses
200
Ok
Returns
taskResponse
of type(s)
application/json
{
"interconnectTaskId": "string",
"entityDetails": {
"id": "string",
"type": "string",
"name": "string"
},
"type": "string",
"progress": 0,
"status": "string",
"message": "string",
"startTime": 0,
"endTime": 0,
"request": {
"computeProfile": {
"computeProfileId": "string",
"name": "string",
"location": "string",
"locationName": "string",
"state": "string",
"deploymentComputeClusterName": "string",
"deploymentComputeClusterId": "string",
"compute": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"services": [
{
"name": "string"
}
],
"deploymentContainer": {
"compute": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"storage": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"folder": {
"cmpId": "string",
"cmpName": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
},
"cpuReservation": 0,
"memoryReservation": 0
},
"networks": [
{
"id": "string",
"name": "string",
"tags": [
"string"
],
"staticRoutes": [
{
"network": "string",
"nextHop": "string"
}
],
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"switches": [
{
"cmpId": "string",
"id": "string",
"type": "string",
"name": "string",
"maxMtu": "number",
"l2cApplianceCount": "number",
"host": {
"id": "string",
"name": "string"
},
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"storage": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
]
}
},
"response": {
"computeProfile": {
"computeProfileId": "string",
"name": "string",
"location": "string",
"locationName": "string",
"state": "string",
"deploymentComputeClusterName": "string",
"deploymentComputeClusterId": "string",
"compute": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"services": [
{
"name": "string"
}
],
"deploymentContainer": {
"compute": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"storage": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"folder": {
"cmpId": "string",
"cmpName": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
},
"cpuReservation": 0,
"memoryReservation": 0
},
"networks": [
{
"id": "string",
"name": "string",
"tags": [
"string"
],
"staticRoutes": [
{
"network": "string",
"nextHop": "string"
}
],
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"switches": [
{
"cmpId": "string",
"id": "string",
"type": "string",
"name": "string",
"maxMtu": "number",
"l2cApplianceCount": "number",
"host": {
"id": "string",
"name": "string"
},
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"storage": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
]
}
},
"steps": [
{
"title": "string",
"type": "string",
"status": "string",
"progress": 0,
"startTime": 0,
"endTime": 0,
"message": "string",
"jobId": "string",
"children": [
{
"title": "string",
"type": "string",
"status": "string",
"progress": 0,
"startTime": 0,
"endTime": 0,
"message": "string",
"parentJobId": "string",
"jobId": "string",
"location": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
],
"warnings": [
{
"message": "string"
}
]
}
]
}
string As uuid
As uuid
interconnectTaskId
Optional
interconnectTaskId
object
entityDetails
Optional
entityDetails
string
type
Optional
type
integer
progress
Optional
progress
string
status
Optional
status
Possible values are :
RUNNING,
QUEUED,
SUCCESS,
FAILED,
string
message
Optional
message
integer As int64
As int64
startTime
Optional
startTime
integer As int64
As int64
endTime
Optional
endTime
request
Optional
request
response
Optional
response
array of
object
steps
Optional
steps
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
500
Internal Server Error
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/underlay/tasks/{underlayTaskId}
Underlay Characterization Operations
GET
Get Pmtu By Uplink Id
GET
Get Pmtu Status By Service Mesh Id
GET
Get Underlay Services
GET
Get Uplinks Overview
GET
Get Uplinks Overview For Uplink Id
GET
Get On Demand Metric For Service Meshes
GET
Get On Demand Metric For Service Mesh Id
POST
Run On Demand Uplink Metrics Test For Service Mesh
POST
Run On Demand Uplink Metrics Test For Uplink
GET
Get Utilization For Uplink Id
GET
Get Underlay Task